Bug 1286366 - Timed out waiting for device dev-sda.device.
Timed out waiting for device dev-sda.device.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 11:38 EST by Frode Tennebø
Modified: 2016-12-20 11:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:23:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 747629 None None None Never

  None (edit)
Description Frode Tennebø 2015-11-28 11:38:14 EST
Description of problem:
After upgrading from F21 to F23 via F22, systemd does no longer recognise /dev/sdX notation in /etc/fstab:

[ft@leia ~]$ cat /etc/fstab 

/dev/mapper/fedora_leia-root /                       ext4    defaults        1 1
UUID=b5e54c2d-309f-41f0-8622-4565ef322c1d /boot                   ext4    defaults        1 2
#/dev/mapper/fedora_leia-home /home                   ext4    defaults        1 2
/dev/mapper/fedora_leia-swap swap                    swap    defaults        0 0
/dev/sda /home                                       btrfs   subvol=home     0 0


Version-Release number of selected component (if applicable):
F22 or F23

How reproducible:
Always

Steps to Reproduce:
1. Reboot
2.
3.

Actual results:

/home is not mounted during boot and the system stops in a the fail-safe prompt.  journalctl -xb gives:

Nov 27 20:45:51 leia systemd[1]: dev-sda.device: Job dev-sda.device/start timed out.
Nov 27 20:45:51 leia systemd[1]: Timed out waiting for device dev-sda.device.


Expected results:
Boot completes successfully.

Additional info:
I've added an external Debian bug which resembles my issues very much.  Using UUID=... in /etc/fstab as one of the messages suggest works.
Comment 1 Fedora End Of Life 2016-11-24 08:48:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:23:23 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.